Subject: [Autoconf] RE: [MEXT] Prefix Delegation documents

From: "Teco Boot" <[email-masked]>
Date: Thu, 22 Nov 2007 08:18:59 +0100

Thanks for the clarifications.

I wanted to know, as Prefix Delegation is being worked on in Autoconf also.
If Autoconf comes up with a third solution, it could be difficult to manage
in environments with equipment is both Mobile Router (NEMO) and MANET Router
(Autoconf). Are others also studying this overlap in functionality?

Maybe there are some issues with PD and DSMIPv6. Has anyone looked at this?

I suggest to keep the PD discussion in MEXT.

Teco.

> -----Oorspronkelijk bericht-----
> Van: Vijay Devarapalli [mailto:[email-masked]]
> Verzonden: woensdag 21 november 2007 19:57
> Aan: Pascal Thubert (pthubert)
> CC: Teco Boot; [email-masked]
> Onderwerp: Re: [MEXT] Prefix Delegation documents
> 
> Pascal Thubert (pthubert) wrote:
> > Hi Vijay
> >
> > My proposal to break the tie is this:
> >
> > - move draft-ietf-nemo-dhcpv6-pd-02.txt to informational track as it
> > documents a way to use DHCP-PD but does not need new exchanges. Last
> I
> > checked, some components were still missing but Ralph knows better.
> >
> > - focus on draft-ietf-nemo-prefix-delegation-02.txt for standard
> track.
> > The draft is agnostic to the delegation mechanism in the backend and
> > does not have dependencies. It proposes an integrated mechanism that
> > fits the general MIP6 / NEMO approach and formats.
> >
> > What do you think?
> 
> I am fine with this approach.
> 
> For draft-ietf-nemo-prefix-delegation-02.txt, I would like to
> simplify the mechanism a bit, by removing the Mobile Network
> Prefix Confirm option. Just use the Mobile Network Prefix
> option for the home agent to send the prefix to the mobile
> router. I actually don't understand the need for the Mobile
> Network Prefix Confirm option.
> 
> Vijay
> 
> >
> > Pascal
> >
> >> -----Original Message-----
> >> From: Vijay Devarapalli [mailto:[email-masked]]
> >> Sent: Tuesday, November 20, 2007 7:45 PM
> >> To: Teco Boot
> >> Cc: Pascal Thubert (pthubert); [email-masked]
> >> Subject: Re: [MEXT] Re: [nemo] Prefix Delegation documents
> >>
> >> Teco Boot wrote:
> >>> Hi Pascal,
> >>> Question on WG documents for prefix delegation. There are two of
> > them:
> >>> 1: draft-ietf-nemo-prefix-delegation-02.txt (August 21, 2007)
> >>> 2: draft-ietf-nemo-dhcpv6-pd-02.txt (September 28, 2006)
> >>> Are we still working on both solutions?
> >> We have a sort of stalemate on this. I believe Jari (AD) would
> prefer
> >> one solution in this space. I think the earlier decision by the NEMO
> >> WG was to standardize both solutions. Not sure what the consensus is
> >> right now.
> >>
> >> IMO, we should standardize one ASAP. Without a prefix delegation
> >> mechanism the only possible solution now is to pre-configure the
> >> mobile network prefix on the mobile router. This is not sufficient.
> >>
> >> Vijay

_______________________________________________
Autoconf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/autoconf

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 22 Nov 2007 14:56:53 +0100

Teco Boot wrote:
 > I wanted to know, as Prefix Delegation is being worked on in Autoconf
 > also. If Autoconf comes up with a third solution, it could be
 > difficult to manage in environments with equipment is both Mobile
 > Router (NEMO) and MANET Router (Autoconf). Are others also studying
 > this overlap in functionality?
 >

DS-MIPv6... I don't think it allocates prefixes in any way.  I think
DS-MIPv6 assumes that the underlying MIP6 implementation could allocate
prefixes.  Ie I take a MIP6 implementation, I enhance it with
NEMOv6-MIP6-PD messages and then I enhance it further with DS-MIPv6 
extensions.

IPv6-IPv4... "Prefix Delegation" is somehow called "Subnet Allocation"
for IPv4 in the DHCP WG.  Status-wise the IPv4 "DHCP Subnet Allocation"
has less impact, it's Informational, than DHCPv6-PD StdsTrack.  However,
technically on paper it seems to have more advanced features than
DHCPv6-PD (I haven't checked "DHCP Subnet Allocation" implementation).

 > I suggest to keep the PD discussion in MEXT.

What is "Prefix Delegation"?  Is it DHCPv6-PD?  Is it MIP6-based Prefix
Delegation?  Is it PMIPv6-based prefix allocation?

I'd suggest for "Prefix Delegation" to mean "DHCPv6-PD" and only that,
but can't enforce it I know.  As such I think it can be discussed 
anywhere where people  need a mechanism to autoconfigure prefixes 
(instead of just addresses).

Alex

 >
 > Teco.
 >
 >> -----Oorspronkelijk bericht----- Van: Vijay Devarapalli
 >> [mailto:[email-masked]] Verzonden: woensdag 21
 >> november 2007 19:57 Aan: Pascal Thubert (pthubert) CC: Teco Boot;
 >> [email-masked] Onderwerp: Re: [MEXT] Prefix Delegation documents
 >>
 >>> - move draft-ietf-nemo-dhcpv6-pd-02.txt to informational track as
 >>> it documents a way to use DHCP-PD but does not need new
 >>> exchanges. Last
 >> I
 >>> The draft is agnostic to the delegation mechanism in the backend
 >>> and does not have dependencies. It proposes an integrated
 >>> mechanism that fits the general MIP6 / NEMO approach and formats.
 >>>
 >>>
 >>> What do you think?
simplify the mechanism a bit, by removing the Mobile Network Prefix
 >> Confirm option. Just use the Mobile Network Prefix option for the
 >> home agent to send the prefix to the mobile router. I actually
 >> don't understand the need for the Mobile Network Prefix Confirm
 >> option.
 >>
 >> Vijay
 >>
 >>> Pascal
 >>>
 >>>> -----Original Message----- From: Vijay Devarapalli
 >>>> [mailto:[email-masked]] Sent: Tuesday,
 >>>> November 20, 2007 7:45 PM To: Teco Boot Cc: Pascal Thubert
 >>>> (pthubert); [email-masked] Subject: Re: [MEXT] Re: [nemo] Prefix
 >>>> Delegation documents
 >>>>
 >>>> Teco Boot wrote:
 >>>>> Hi Pascal, Question on WG documents for prefix delegation.
 >>>>> There are two of
 >>> them:
 >>>>>  2: draft-ietf-nemo-dhcpv6-pd-02.txt (September 28, 2006) Are
 >>>>> we still working on both solutions?
 >>>> one solution in this space. I think the earlier decision by the
 >>>> NEMO WG was to standardize both solutions. Not sure what the
 >>>> consensus is right now.
 >>>>
 >>>> IMO, we should standardize one ASAP. Without a prefix
 >>>> delegation mechanism the only possible solution now is to
 >>>> pre-configure the mobile network prefix on the mobile router.
 >>>> This is not sufficient.
 >>>>
 >>>> Vijay
 >
 >
 >
 > _______________________________________________ Autoconf mailing list
 >  [email-masked] https://www1.ietf.org/mailman/listinfo/autoconf
 >

______________________________________________________________________
This email has been scanned by the MessageLabs Email Security System.
For more information please visit http://www.messagelabs.com/email 
______________________________________________________________________